<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\InteractiveMessage;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class NativeFlowMessage extends \Google\Protobuf\Internal\Message
{
    


    private $buttons;
    


    protected $messageParamsJson = null;
    


    protected $messageVersion = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getButtons()
    {
        return $this->buttons;
    }

    




    public function setButtons($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\Message\InteractiveMessage\NativeFlowMessage\NativeFlowButton::class);
        $this->buttons = $arr;

        return $this;
    }

    



    public function getMessageParamsJson()
    {
        return isset($this->messageParamsJson) ? $this->messageParamsJson : '';
    }

    public function hasMessageParamsJson()
    {
        return isset($this->messageParamsJson);
    }

    public function clearMessageParamsJson()
    {
        unset($this->messageParamsJson);
    }

    




    public function setMessageParamsJson($var)
    {
        GPBUtil::checkString($var, True);
        $this->messageParamsJson = $var;

        return $this;
    }

    



    public function getMessageVersion()
    {
        return isset($this->messageVersion) ? $this->messageVersion : 0;
    }

    public function hasMessageVersion()
    {
        return isset($this->messageVersion);
    }

    public function clearMessageVersion()
    {
        unset($this->messageVersion);
    }

    




    public function setMessageVersion($var)
    {
        GPBUtil::checkInt32($var);
        $this->messageVersion = $var;

        return $this;
    }

}

